package dev.shadowsoffire.apotheosis.adventure.affix.effect;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.mojang.serialization.Codec;
import dev.shadowsoffire.apotheosis.adventure.affix.effect.PotionAffix;
import dev.shadowsoffire.placebo.codec.PlaceboCodecs;
import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.MutableComponent;

public enum Target {
  ATTACK_SELF("attack_self"),
  ATTACK_TARGET("attack_target"),
  HURT_SELF("hurt_self"),
  HURT_ATTACKER("hurt_attacker"),
  BREAK_SELF("break_self"),
  ARROW_SELF("arrow_self"),
  ARROW_TARGET("arrow_target"),
  BLOCK_SELF("block_self"),
  BLOCK_ATTACKER("block_attacker");
  
  public static final Codec<Target> CODEC;
  
  private final String id;
  
  static {
    CODEC = PlaceboCodecs.enumCodec(Target.class);
  }
  
  Target(String id) {
    this.id = id;
  }
  
  public MutableComponent toComponent(Object... args) {
    return Component.m_237110_("affix.apotheosis.target." + this.id, args);
  }
}
